Runtime

## org.eclipse.gmf.runtime.notation
Interface ArrowStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  ArrowStyleImpl

    public interface ArrowStyle

extends Style

A representation of the model object 'Arrow Style'.

The following features are supported:

- `Arrow Source`
- `Arrow Target`

See Also:
  `NotationPackage.getArrowStyle()`
** Generated **
Model:

Method Summary
`ArrowType` `getArrowSource()` Returns the value of the 'Arrow Source' attribute.
`ArrowType` `getArrowTarget()` Returns the value of the 'Arrow Target' attribute.
`void` `setArrowSource(ArrowType value)` Sets the value of the '`Arrow Source`' attribute
`void` `setArrowTarget(ArrowType value)` Sets the value of the '`Arrow Target`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getArrowSource

    ArrowType getArrowSource()

  Returns the value of the 'Arrow Source' attribute. The default value is `"None"`. The literals are from the enumeration `ArrowType`.

  If the meaning of the 'Arrow Source' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Arrow Source' attribute.
  See Also:
    `ArrowType`, `setArrowSource(ArrowType)`, `NotationPackage.getArrowStyle_ArrowSource()`
  ** Generated **
  Model:
    default="None"

### setArrowSource

    void setArrowSource(ArrowType value)

  Sets the value of the '`Arrow Source`' attribute.

  Parameters:
    `value` - the new value of the 'Arrow Source' attribute.
  See Also:
    `ArrowType`, `getArrowSource()`
  ** Generated **

### getArrowTarget

    ArrowType getArrowTarget()

  Returns the value of the 'Arrow Target' attribute. The default value is `"None"`. The literals are from the enumeration `ArrowType`.

  If the meaning of the 'Arrow Target' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Arrow Target' attribute.
  See Also:
    `ArrowType`, `setArrowTarget(ArrowType)`, `NotationPackage.getArrowStyle_ArrowTarget()`
  ** Generated **
  Model:
    default="None"

### setArrowTarget

    void setArrowTarget(ArrowType value)

  Sets the value of the '`Arrow Target`' attribute.

  Parameters:
    `value` - the new value of the 'Arrow Target' attribute.
  See Also:
    `ArrowType`, `getArrowTarget()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.